%global synergy_revision a975f61a

Summary:	Mouse and keyboard sharing utility
Name:		synergy
Version:	1.14.5.14
Release:	%mkrel 1
License:	GPLv2
Group:		Networking/Remote access
Url:		http://synergy-project.org/
Source0:	https://github.com/symless/synergy-core/archive/v%{version}-stable/synergy-core-%{version}-stable.tar.gz
Patch0:		synergy-1.14.5.14-dns_sd-headers-path.patch
Patch1:		synergy-1.14.5.14-disable-bundled-gtest.patch
Patch10:	0001-License-registration-for-Business-edition-#7203.patch
Patch11:	0002-Fix-build-issue-for-ubuntu16-and-ubuntu18-#7204.patch
Patch12:	0003-Fix-issue-with-settings-#7219.patch
BuildRequires:	curl-devel
BuildRequires:	docbook-to-man
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xext)
BuildRequires:	pkgconfig(xinerama)
BuildRequires:	pkgconfig(xkbfile)
BuildRequires:	pkgconfig(xtst)
BuildRequires:	cmake
BuildRequires:	icoutils
BuildRequires:	pkgconfig(gdk-pixbuf-2.0)
BuildRequires:	pkgconfig(gmock)
BuildRequires:	pkgconfig(gtest)
BuildRequires:	pkgconfig(libdns_sd)
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(pugixml)
BuildRequires:	cmake(Qt5Core)
BuildRequires:	cmake(Qt5Gui)
BuildRequires:	cmake(Qt5Help)
BuildRequires:	cmake(Qt5Network)
BuildRequires:	cmake(Qt5Widgets)
Obsoletes:	synergy-plus < 1.4.5

%description
Synergy lets you easily share a single mouse and keyboard between
multiple computers with different operating systems, each with its
own display, without special hardware.  It's intended for users
with multiple computers on their desk since each system uses its
own display.

%package gui
Summary:	Qt based GUI for %{name}
Group:		Networking/Remote access
Requires:	%{name} = %{version}-%{release}
Provides:	qsynergy = %{version}-%{release}

%description gui
The Synergy GUI is based on QSynergy by Volker Lanz.

%prep
%setup -q -n %{name}-core-%{version}-stable
%autopatch -p1

#fix rigths
chmod 644 doc/* ChangeLog

# remove some bundled libs
rm -rf ext/pugixml*
rm -rf ext/googletest*

%build
export CPPFLAGS="-I%{_includedir}/avahi-compat-libdns_sd/"
export SYNERGY_VERSION_STAGE="stable"
%cmake -DSYNERGY_VERSION_STAGE:STRING=stable \
       -DSYNERGY_REVISION:STRING=%{synergy_revision} \
       -DSYSTEM_PUGIXML=ON \
       -DBUILD_TESTS=OFF
%cmake_build

%install
%cmake_install

#conf
mkdir -p %{buildroot}%{_sysconfdir}
touch %{buildroot}%{_sysconfdir}/%{name}.conf

## making manpages
mkdir -p %{buildroot}%{_mandir}/man8
gzip -c doc/synergyc.man > %{buildroot}%{_mandir}/man8/synergyc.8
gzip -c doc/synergys.man > %{buildroot}%{_mandir}/man8/synergys.8

%files
%license LICENSE
%doc ChangeLog res/Readme.txt
%doc doc/synergy.conf*
%ghost %config(noreplace) %{_sysconfdir}/%{name}.conf
%{_bindir}/synergyc
%{_bindir}/synergys
%{_bindir}/syntool
%{_mandir}/man8/synergyc.8.*
%{_mandir}/man8/synergys.8.*

%files gui
%license LICENSE
%doc ChangeLog
%{_datadir}/applications/synergy.desktop
%{_iconsdir}/hicolor/*/apps/synergy.*
%{_bindir}/synergy


%changelog
* Tue May 30 2023 daviddavid <daviddavid> 1.14.5.14-1.mga8
+ Revision: 1959942
- new version: 1.14.5.14 (fixes mga#31977)
- package manpages
- update Url

* Wed Dec 30 2020 daviddavid <daviddavid> 1.13.0-1.mga8
+ Revision: 1665832
- new version: 1.13.0

* Thu Dec 24 2020 daviddavid <daviddavid> 1.12.0-1.mga8
+ Revision: 1663377
- new version: 1.12.0

* Thu Dec 17 2020 umeabot <umeabot> 1.10.3-3.mga8
+ Revision: 1659958
- Rebuild for new Qt5

* Sun Feb 16 2020 umeabot <umeabot> 1.10.3-2.mga8
+ Revision: 1530776
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros

* Tue Sep 03 2019 daviddavid <daviddavid> 1.10.3-1.mga8
+ Revision: 1436716
- new version: 1.10.3

* Sat Apr 13 2019 wally <wally> 1.10.1-1.mga7
+ Revision: 1389769
- new version 1.10.1

* Sun Sep 23 2018 umeabot <umeabot> 1.7.6-3.mga7
+ Revision: 1301280
- Mageia 7 Mass Rebuild

* Tue Sep 05 2017 cjw <cjw> 1.7.6-2.mga7
+ Revision: 1151588
- rebuild for openssl 1.1

* Fri Mar 25 2016 wally <wally> 1.7.6-1.mga6
+ Revision: 995528
- new version 1.7.6
- rediff P31

* Thu Mar 03 2016 umeabot <umeabot> 1.7.4-3.mga6
+ Revision: 984451
- Rebuild for openssl

* Wed Feb 17 2016 umeabot <umeabot> 1.7.4-2.mga6
+ Revision: 962999
- Mageia 6 Mass Rebuild

* Wed Jun 24 2015 wally <wally> 1.7.4-1.mga6
+ Revision: 842154
- drop upstreamed patch
- new version 1.7.4
- remove README.urpmi as cryptopp support was removed

* Tue Jun 23 2015 wally <wally> 1.7.3-1.mga6
+ Revision: 841198
- new version 1.7.3
- drop unneeded patches and rediff ones doesn't apply properly
- install syntool binary and plugins

* Sat Jun 20 2015 wally <wally> 1.6.2-1.mga6
+ Revision: 836475
- new version 1.6.2

* Wed Oct 15 2014 umeabot <umeabot> 1.5.0-3.mga5
+ Revision: 740816
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.5.0-2.mga5
+ Revision: 689655
- Mageia 5 Mass Rebuild

* Thu May 29 2014 wally <wally> 1.5.0-1.mga5
+ Revision: 627675
- new version 1.5.0
- sync/rediff patches with Gentoo
- rediff version check patch from Debian

* Mon Mar 17 2014 wally <wally> 1.4.16-2.mga5
+ Revision: 604386
- install synergyd binary also
- use man pages from Debian
- add README.urpmi about security concerns with Crypto++ (idea from Debian)

* Mon Mar 17 2014 wally <wally> 1.4.16-1.mga5
+ Revision: 604349
- new version 1.4.16
- add patch from Debian to not check updates

* Thu Feb 06 2014 wally <wally> 1.4.15-1.mga5
+ Revision: 584525
- new version 1.4.15

* Tue Oct 22 2013 umeabot <umeabot> 1.4.12-3.mga4
+ Revision: 545281
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 wally <wally> 1.4.12-2.mga4
+ Revision: 501025
- add patch to fix linking

* Mon Jun 03 2013 wally <wally> 1.4.12-1.mga4
+ Revision: 436742
- new version 1.4.12
- add patch to build against system cryptopp (originally from OpenBSD)

* Mon Jan 14 2013 umeabot <umeabot> 1.4.10-2.mga3
+ Revision: 383907
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Aug 28 2012 wally <wally> 1.4.10-1.mga3
+ Revision: 284966
- new version 1.4.10
- clean .spec a bit

* Fri Jun 01 2012 wally <wally> 1.4.8-1.mga3
+ Revision: 252891
- new version 1.4.8

* Fri Feb 24 2012 wally <wally> 1.4.7-1.mga2
+ Revision: 214126
- new version 1.4.7

* Sun Feb 05 2012 wally <wally> 1.4.6-1.mga2
+ Revision: 204829
- new version 1.4.6
- drop upstreamed gtk3 patch

* Fri Dec 09 2011 wally <wally> 1.4.5-1.mga2
+ Revision: 179781
- new version 1.4.5
- add P0 from upstream to fix some gtk3 compatibility issues
- minor changes in packaging

* Sat Mar 26 2011 wally <wally> 1.4.2-1.mga1
+ Revision: 77777
- new version 1.4.2
- use upstream provided man pages
- create a subpackage for Qt based GUI

* Sat Mar 26 2011 wally <wally> 1.3.6-1.mga1
+ Revision: 77702
- drop buildroot definition
- uncompress S1 and S2
- clean .spec
- imported package synergy


* Tue Feb 01 2011 Funda Wang <fwang@mandriva.org> 1.3.6-1mdv2011.0
+ Revision: 634737
- rename spec
- rename back to synergy
- New version 1.3.6

* Tue Feb 01 2011 Funda Wang <fwang@mandriva.org> 1.3.4-2
+ Revision: 634683
- update BR

* Thu Sep 24 2009 Buchan Milne <bgmilne@mandriva.org> 1.3.4-1mdv2010.0
+ Revision: 448148
- import synergy-plus

